<?
include 'mysql.php';
include 'include/sesi.php';
include_once("include/golova.php");

echo"<b>Linewap2<br/>Информация пользователя $nick</b><br/>";
$nick = htmlspecialchars(stripslashes($nick));

if(!@file("MySql/base123/reg/$nick.dat")){echo"Такой игрок не существует!"; include_once"include/down.php"; exit; }

$text = @file("MySql/base123/reg/$nick.dat");
$udata = explode(":||:",$text[0]);
$block=mysql_query("SELECT * FROM `table_block` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($block)==1){
$user = mysql_fetch_array($block);
$pr = $user['pricina'];
echo"<br/>- - -<br/>Персонаж заблокирован причина: ".$pr."<br/>- - -<br/>";}
if(@file("MySql/base123/clan/status/$nick.dat")){

$text = @file("MySql/base123/clan/status/$nick.dat");
$datta = explode(":||:",$text[0]);
echo"[ <u>$datta[1]</u> ]<br/>";}
if($udata[23]!==""){
$file = @file("MySql/base123/clan/$udata[23].dat");
$data = explode(":||:",$file[0]);
if(!empty($data[2])){
echo"Ник: <b>$nick</b> <img src=\"pic/clan/$data[2]\" alt=\"clan\"/><br/>";}else{
echo"Ник: <b>$nick</b><br/>";
}
}else{
echo"Ник: <b>$nick</b><br/>";}

if (is_file('pic/'.$nick.'.gif'))
{
echo'<img src="pic/'.$nick.'.gif" alt="pic"/><br/><br/>';
} else {

if($udata[2]=="Ж" && $udata[26]=="kamael"){echo'<img src="pic/kamaelwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="kamael"){echo'<img src="pic/kamaelmen.jpg" alt="pic"/><br/>';
}
if($udata[2]=="Ж" && $udata[26]=="human"){echo'<img src="pic/humanwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="human"){echo'<img src="pic/humanmen.jpg" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="elf"){echo'<img src="pic/elfwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="elf"){echo'<img src="pic/elfmen.jpg" alt="pic"/><br/>';
}
if($udata[2]=="Ж" && $udata[26]=="darkelf"){echo'<img src="pic/darkelfwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="darkelf"){echo'<img src="pic/darkelfmen.jpg" alt="pic"/><br/>';
}
if($udata[2]=="Ж" && $udata[26]=="gnom"){echo'<img src="pic/gnomwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="gnom"){echo'<img src="pic/gnommen.jpg" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="ork"){echo'<img src="pic/ork.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="ork"){echo'<img src="pic/ork.jpg" alt="pic"/><br/>';
}
}
$genat = @file("local/datacharch/wedding/$nick.dat");
$kto = explode("||", $genat[0]);
if ($nick==$kto[0]){$kto=$kto[1];}
if ($nick==$kto[1]){$kto=$kto[0];}
if ($genat!==false){echo"В браке с [$kto]<br/>";}

$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($elita)==1){echo"Статус : <b><u>[Администратор]</u></b><br/>";}
$elita=mysql_query("SELECT * FROM `table_moder` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($elita)==1){echo"Статус : <b><u>[Модератор]</u></b><br/>";}
if(@file("MySql/base123/rating/olimpiads/$nick.dat")){echo"Привилегии : <b><u>[Герой]</u></b><br/>";}
include_once"include/status.php";
include_once"include/dobro.php";
$elita = @file("local/datamedal/elita/$nick.dat");
$redhart = @file("local/datamedal/redhart/$nick.dat");
$testor = @file("local/datamedal/testor/$nick.dat");
$krest = @file("local/datamedal/krest/$nick.dat");
$gold = @file("local/datamedal/gold/$nick.dat");
$brave = @file("local/datamedal/brave/$nick.dat");
if ($elita!==false){echo'<img src="pic/medal/elita.png" /> ELITA<br/>';}
if ($redhart!==false){echo'<img src="pic/medal/redhart.png" /> RED HART<br/>';}
if ($testor!==false){echo'<img src="pic/medal/testor.png" /> TESTOR<br/>';}
if ($krest!==false){echo'<img src="pic/medal/krest.png" /> КРЕСТОНОСЕЦ<br/>';}
if ($gold!==false){echo'<img src="pic/medal/gold.png" /> GOLD USER<br/>';}
if ($brave!==false){echo'<img src="pic/medal/brave.png" /> ЗА ОТВАГУ<br/>';}
echo"Пол: ";
if($udata[2]=="M"){echo"Парень<br/>";}else{echo"Девушка<br/>";}
echo"Уровень: $udata[9]<br/>";
echo'Аден: <font color=gold>'.number_format($udata[8]).'</font><br/>';
echo'Coin of Luck: <font color=#FF8C00>'.number_format($udata[14]).'</font><br/>';
echo"В городе: <b>$udata[20]</b><br/>";
echo"В окрестностях: <b><u>$udata[37]</u></b><br/>";
if(@file("MySql/base123/clan/$udata[23].dat")){

$text = @file("MySql/base123/clan/$udata[23].dat");
$data = explode(":||:",$text[0]);
echo"В клане: <b>$data[1]</b> [$udata[23]]<br/>";}else{
echo"Не в клане<br/>";}
if(@file("MySql/base123/ali/names/$udata[23].dat")){
$text = @file("MySql/base123/ali/names/$udata[23].dat");
$gali = explode("|",$text[0]);
$text = @file("MySql/base123/ali/$gali[0].dat");
$nali = explode(":||:",$text[0]);
echo"В альянсе: <b>$nali[1]</b> [$nali[0]]<br/>";}else{echo"Не в альянсе<br/>";}
if(!empty($udata[33])){echo"Профессия: <b>$udata[33]</b><br/>";}else{echo"Профессии нет.<br/>";}
echo"Расса: ";
if($udata[26]=="ork"){echo"Орк<br/>";}
if($udata[26]=="elf"){echo"Эльф<br/>";}
if($udata[26]=="darkelf"){echo"Темный эльф<br/>";}
if($udata[26]=="human"){echo"Человек<br/>";}
if($udata[26]=="gnom"){echo"Гном<br/>";}
if($udata[26]=="kamael"){echo"Камаэль<br/>";}
echo"Класс: ";
if($udata[27]=="wizard"){echo"Маг<br/>";}
if($udata[27]=="fighert"){echo"Войн<br/>";}
echo'Постов: '.number_format($udata[100]).'<br/>';
if(!@file("MySql/base123/rating/pk/$nick.dat")){
echo"Выиграл PK боев: 0<br/>";}else{
$text = @file("MySql/base123/rating/pk/$nick.dat");
$data = explode("||",$text[0]);
echo'Выиграл PK боев: '.number_format($data[0]).'<br/>';}
if(empty($udata[36])){$udata[36]="0";}
echo'Карма: '.number_format($udata[36]).'<br/>';
if(!@file("MySql/base123/rating/rek/$nick.dat")){
echo"Рекомендован: 0 раз<br/>";}else{
$text = @file("MySql/base123/rating/rek/$nick.dat");
$data = explode("||",$text[0]);
echo'Рекомендован: '.number_format($data[0]).' раз<br/>';}
if(!@file("MySql/base123/other/$nick.dat")){
echo"Статус: Оффлайн<br/>";}else{
$text = @file("MySql/base123/other/$nick.dat");
$data = explode("||",$text[0]);
$time=time()-600;
if($data[0]>=$time){
echo"Статус: <font color=\"#ADFF2F\">В игре</font><br/>";}else{
echo"Статус: <font color=\"#FF0000\">Оффлайн</font><br/>";
$date=date("H:i - d.m.y",$data[0]);
echo"Последнее посещение: <font color=\"#ADFF2F\">$date</font><br/>";
}
}

echo'- - -<br/>CP: '.number_format($udata[42]).'/'.number_format($udata[43]).'<br/>HP: '.number_format($udata[16]).'/'.number_format($udata[17]).'<br/>MP: '.number_format($udata[29]).'/'.number_format($udata[30]).'<br/>EXP: '.number_format($udata[19]).'<br/>SP: '.number_format($udata[31]).'<br/>';
echo'- - -<br/>Выйграно боев: '.number_format($udata[6]).'<br/>Проиграно боев: '.number_format($udata[7]).'<br/>- - -<br/>';
echo'Выносливость: '.number_format($udata[5]).'<br/>Физическая Защита: '.number_format($udata[3]).'<br/>Магическая Защита: '.number_format($udata[99]).'<br/>Физическая Атака: '.number_format($udata[4]).'<br/>- - -<br/>';
echo"<b>Украшение:</b><br/>";
if($udata[54]!=="Пусто"){
echo"<img src=\"pic/ykr/$udata[54].gif\" alt=\"pic\"/>";
echo"Украшение: <u>$udata[54]</u><br/>";}else{echo"<img src=\"pic/pusto/ykr.gif\" alt=\"pic\"/> Украшение: Не одето<br/>";}
echo"<b>Бижутерия:</b><br/>";
if($udata[45]!=="Пусто"){
echo"<img src=\"pic/sheya/$udata[45].gif\" alt=\"pic\"/>";
echo"Ожерелье: <u>$udata[45]</u><br/>";}else{echo"<img src=\"pic/pusto/sheya.gif\" alt=\"pic\"/> Ожерелье: Не одето<br/>";}
if($udata[46]!=="Пусто"){
echo"<img src=\"pic/serga/$udata[46].gif\" alt=\"pic\"/>";
echo"Серьга: <u>$udata[46]</u><br/>";}else{echo"<img src=\"pic/pusto/serga.gif\" alt=\"pic\"/> Серьга: Не одето<br/>";}
if($udata[47]!=="Пусто"){
echo"<img src=\"pic/serga2/$udata[47].gif\" alt=\"pic\"/>";
echo"Серьга: <u>$udata[47]</u><br/>";}else{echo"<img src=\"pic/pusto/serga2.gif\" alt=\"pic\"/> Серьга: Не одето<br/>";}
if($udata[48]!=="Пусто"){
echo"<img src=\"pic/kolco/$udata[48].gif\" alt=\"pic\"/>";
echo"Кольцо: <u>$udata[48]</u><br/>";}else{echo"<img src=\"pic/pusto/kolco.gif\" alt=\"pic\"/> Кольцо: Не одето<br/>";}
if($udata[49]!=="Пусто"){
echo"<img src=\"pic/kolco2/$udata[49].gif\" alt=\"pic\"/>";
echo"Кольцо: <u>$udata[49]</u><br/>";}else{echo"<img src=\"pic/pusto/kolco2.gif\" alt=\"pic\"/> Кольцо: Не одето<br/>";}
echo"<b>Боевая экипировка:</b><br/>";
if($udata[10]!=="Пусто"){
echo"<img src=\"pic/shlem/$udata[10].gif\" alt=\"pic\"/>";
echo"Шлем: <u>$udata[10]</u><br/>";}else{echo"<img src=\"pic/pusto/helmets.gif\" alt=\"pic\"/> Шлем: Не одето<br/>";}
if($udata[11]!=="Пусто"){
echo"<img src=\"pic/robe/$udata[11].gif\" alt=\"pic\"/>";
echo"Роба: <u>$udata[11]</u><br/>";}else{echo"<img src=\"pic/pusto/up.gif\" alt=\"pic\"/> Роба: Не одето<br/>";}
if($udata[53]!=="Пусто"){
echo"<img src=\"pic/4it/$udata[53].gif\" alt=\"pic\"/>";
echo"Щит: <u>$udata[53]</u><br/>";}else{echo"<img src=\"pic/pusto/4it.gif\" alt=\"pic\"/> Щит: Не одето<br/>";}
if($udata[12]!=="Пусто"){
echo"<img src=\"pic/weapon/$udata[12].gif\" alt=\"pic\"/>";
echo"Правая рука: <u>$udata[12]</u><br/>";}else{echo"<img src=\"pic/pusto/weapon.gif\" alt=\"pic\"/> Правая рука: Не одето<br/>";}
if($udata[52]!=="Пусто"){
echo"<img src=\"pic/gloves/$udata[52].gif\" alt=\"pic\"/>";
echo"Перчатки: <u>$udata[52]</u><br/>";}else{echo"<img src=\"pic/pusto/gloves.gif\" alt=\"pic\"/> Перчатки: Не одето<br/>";}

if($udata[13]!=="Пусто"){
echo"<img src=\"pic/boots/$udata[13].gif\" alt=\"pic\"/>";
echo"Сапоги: <u>$udata[13]</u><br/>";}else{echo"<img src=\"pic/pusto/boots.gif\" alt=\"pic\"/> Сапоги: Не одето<br/>";}
echo"- - -<br/>Непрочитаный сообщений : $udata[22]<br/>";

echo"- - -<br/>Зарегистрирован : <u>$udata[28]</u><br/>- - -<br/>";
echo"<a href=\"index.php?$sd\">На главную</a><br/>";
include_once"include/nogi.php";



?>
